Debian Bug report logs - #511914
domain kernel BUGs on SCSI disk access with qcow2 images

version graph

Package: kvm; Maintainer for kvm is Michael Tokarev <mjt@tls.msk.ru>; Source for kvm is src:qemu-kvm.

Reported by: John Morrissey <jwm@horde.net>

Date: Thu, 15 Jan 2009 16:51:02 UTC

Severity: important

Found in version kvm/82+dfsg-1

Fixed in version kvm/83+dfsg-1

Done: Jan Lübbe <jluebbe@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jan Lübbe <jluebbe@debian.org>:
Bug#511914; Package kvm. (Thu, 15 Jan 2009 16:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Morrissey <jwm@horde.net>:
New Bug report received and forwarded. Copy sent to Jan Lübbe <jluebbe@debian.org>. (Thu, 15 Jan 2009 16:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: John Morrissey <jwm@horde.net>
To: submit@bugs.debian.org
Subject: domain kernel BUGs on SCSI disk access
Date: Thu, 15 Jan 2009 11:47:23 -0500
Package: kvm
Version: 82+dfsg-1
Severity: important

Domains with a SCSI disk attached:

    <disk type='file' device='disk'>
        <source file='/var/lib/libvirt/images/scsi.qcow'/>
        <target dev='sda' bus='scsi'/>
    </disk>

BUG after accessing the SCSI disk. This is readily reproducible with a lenny
amd64 host installing lenny amd64 in a domain. mkfsing the domain's
filesystems fails, d-i prompts you to Retry, Ignore, or Cancel, and choosing
Cancel generates the Oops (below).

Removing CVE-2008-0928-fedora.patch from the kvm packaging in experimental
"fixes" this behavior.

FWIW, I originally thought this was fixed by updating to the latest
CVE-2008-0928-fedora.patch from Fedora, for KVM 81 and up
(http://marc.info/?l=kvm&m=123032725115808&w=2), but it appears I was
mistaken or my testing flawed somehow, since I can reproduce this behavior
every time I try to boot/install any host from/to a SCSI disk.

[  475.585212] BUG: unable to handle kernel NULL pointer dereference at 0000000000000358
[  475.588015] IP: [<ffffffffa00ded8f>] :sym53c8xx:sym_int_sir+0x5d9/0x12d5
[  475.588015] PGD 1d155067 PUD 1b0f7067 PMD 0 
[  475.588015] Oops: 0000 [1] SMP 
[  475.588015] CPU 0 
[  475.588015] Modules linked in: dm_mod md_mod xfs reiserfs jfs ext3 jbd vfat fat nls_base ext2 mbcache sd_mod ide_cd_mod cdrom sym53c8xx scsi_transport_spi piix ide_core usb_storage scsi_mod fan virtio_balloon floppy virtio_pci virtio_ring virtio e1000 uhci_hcd thermal processor thermal_sys
[  475.588015] Pid: 8378, comm: parted_server Not tainted 2.6.26-1-amd64 #1
[  475.588015] RIP: 0010:[<ffffffffa00ded8f>]  [<ffffffffa00ded8f>] :sym53c8xx:sym_int_sir+0x5d9/0x12d5
[  475.588015] RSP: 0018:ffffffff805e2d38  EFLAGS: 00010287
[  475.588015] RAX: 000000000000000a RBX: 000000000000000b RCX: 0000000000000046
[  475.588015] RDX: ffff81001f80d000 RSI: 000000001b5a2090 RDI: ffffc20000162006
[  475.588015] RBP: ffff81001b5a2000 R08: ffffffff805e2f10 R09: 0000000000000046
[  475.588015] R10: ffff81001b5a2000 R11: ffffffffa00694d9 R12: ffff81001b5a2090
[  475.588015] R13: 0000000000000000 R14: 0000000000000000 R15: 000000001dcba901
[  475.588015] FS:  00007f9a023bf6e0(0000) GS:ffffffff8053b000(0000) knlGS:0000000000000000
[  475.588015] CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
[  475.588015] CR2: 0000000000000358 CR3: 000000001b4b7000 CR4: 00000000000006e0
[  475.588015] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
[  475.588015] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
[  475.588015] Process parted_server (pid: 8378, threadinfo ffff81001e050000, task ffff81001d54c340)
[  475.588015] Stack:  ffffffff80604c5c 000000000000002e 0000000000000000 000000001dcba902
[  475.588015]  0000000000000096 0000000000000282 0000000022de72ef 0000000000000282
[  475.588015]  373420205b3e343c 0000000000000001 ffff81001b5a2000 0000000000000000
[  475.588015] Call Trace:
[  475.588015]  <IRQ>  [<ffffffffa00e0847>] ? :sym53c8xx:sym_interrupt+0x431/0x64a
[  475.588015]  [<ffffffffa00da6ac>] ? :sym53c8xx:sym53c8xx_intr+0x40/0x65
[  475.588015]  [<ffffffff8026bb1f>] ? handle_IRQ_event+0x2c/0x61
[  475.588015]  [<ffffffff8026cfb6>] ? handle_fasteoi_irq+0x90/0xc8
[  475.588015]  [<ffffffffa006e686>] ? :scsi_mod:scsi_next_command+0x2d/0x39
[  475.588015]  [<ffffffff8020f590>] ? do_IRQ+0x6d/0xd9
[  475.588015]  [<ffffffff8020c43d>] ? ret_from_intr+0x0/0x19
[  475.588015]  [<ffffffffa00694d9>] ? :scsi_mod:scsi_done+0x0/0x18
[  475.588015]  [<ffffffff8023921d>] ? __do_softirq+0x4a/0xd1
[  475.588015]  [<ffffffff8021c42c>] ? ack_apic_level+0x53/0xd8
[  475.588015]  [<ffffffff8020d29c>] ? call_softirq+0x1c/0x28
[  475.588015]  [<ffffffff8020f37c>] ? do_softirq+0x3c/0x81
[  475.588015]  [<ffffffff8023918f>] ? irq_exit+0x3f/0x83
[  475.588015]  [<ffffffff8020f5dc>] ? do_IRQ+0xb9/0xd9
[  475.588015]  [<ffffffff8020c43d>] ? ret_from_intr+0x0/0x19
[  475.588015]  <EOI>  [<ffffffff80429945>] ? _spin_unlock_irqrestore+0x7/0xe
[  475.588015]  [<ffffffffa0069ccd>] ? :scsi_mod:scsi_dispatch_cmd+0x1ea/0x26c
[  475.588015]  [<ffffffffa006fb48>] ? :scsi_mod:scsi_request_fn+0x2be/0x395
[  475.588015]  [<ffffffff8030b2ee>] ? elv_insert+0x153/0x220
[  475.588015]  [<ffffffff8030db2d>] ? __make_request+0x3af/0x3fb
[  475.588015]  [<ffffffff8030c3a3>] ? generic_make_request+0x2fe/0x339
[  475.588015]  [<ffffffff802bda24>] ? bio_alloc_bioset+0x89/0xd9
[  475.588015]  [<ffffffff8030d777>] ? submit_bio+0xdb/0xe2
[  475.588015]  [<ffffffff802bfd81>] ? dio_bio_submit+0x52/0x66
[  475.588015]  [<ffffffff802c077b>] ? __blockdev_direct_IO+0x7bd/0x9f2
[  475.588015]  [<ffffffff802bf6e6>] ? blkdev_direct_IO+0x45/0x4a
[  475.588015]  [<ffffffff802bf60b>] ? blkdev_get_blocks+0x0/0x96
[  475.588015]  [<ffffffff802719c4>] ? generic_file_direct_IO+0xff/0x118
[  475.588015]  [<ffffffff80271a3d>] ? generic_file_direct_write+0x60/0xf5
[  475.588015]  [<ffffffff80272388>] ? __generic_file_aio_write_nolock+0x286/0x3a9
[  475.588015]  [<ffffffff8027279f>] ? generic_file_aio_read+0xce/0x4a9
[  475.588015]  [<ffffffff802a40c1>] ? path_walk+0x7e/0x8b
[  475.588015]  [<ffffffff802725a0>] ? generic_file_aio_write_nolock+0x34/0x80
[  475.588015]  [<ffffffff8029aa33>] ? do_sync_write+0xc9/0x10c
[  475.588015]  [<ffffffff80246021>] ? autoremove_wake_function+0x0/0x2e
[  475.588015]  [<ffffffff8029b1dd>] ? vfs_write+0xad/0x156
[  475.588015]  [<ffffffff8029b77f>] ? sys_write+0x45/0x6e
[  475.588015]  [<ffffffff8020be9a>] ? system_call_after_swapgs+0x8a/0x8f
[  475.588015] 
[  475.588015] 
[  475.588015] Code: 48 89 c6 48 c7 c7 94 37 0e a0 eb 5d 48 8d bb 20 01 00 00 e8 00 32 2a e0 48 8d 93 58 02 00 00 48 89 c6 48 c7 c7 ce 37 0e a0 eb 67 <49> 8b 95 58 03 00 00 48 8b 82 d0 00 00 00 48 8b 1a 48 8b a8 a0 
[  475.588015] RIP  [<ffffffffa00ded8f>] :sym53c8xx:sym_int_sir+0x5d9/0x12d5
[  475.588015]  RSP <ffffffff805e2d38>
[  475.588015] CR2: 0000000000000358
[  475.776901] ---[ end trace 590f995e1a3d1c79 ]---
[  475.778875] Kernel panic - not syncing: Aiee, killing interrupt handler!

-- Package-specific info:


selected information from lshal(1):



/proc/cpuinfo:

processor	: 0
vendor_id	: GenuineIntel
cpu family	: 6
model		: 23
model name	: Intel(R) Xeon(R) CPU           L5420  @ 2.50GHz
stepping	: 6
cpu MHz		: 2500.086
cache size	: 6144 KB
physical id	: 0
siblings	: 4
core id		: 0
cpu cores	: 4
apicid		: 0
initial apicid	: 0
fpu		: yes
fpu_exception	: yes
cpuid level	: 10
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall lm constant_tsc arch_perfmon pebs bts rep_good pni monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr dca sse4_1 lahf_lm
bogomips	: 5004.20
clflush size	: 64
cache_alignment	: 64
address sizes	: 38 bits physical, 48 bits virtual
power management:

processor	: 1
vendor_id	: GenuineIntel
cpu family	: 6
model		: 23
model name	: Intel(R) Xeon(R) CPU           L5420  @ 2.50GHz
stepping	: 6
cpu MHz		: 2500.086
cache size	: 6144 KB
physical id	: 0
siblings	: 4
core id		: 1
cpu cores	: 4
apicid		: 1
initial apicid	: 1
fpu		: yes
fpu_exception	: yes
cpuid level	: 10
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall lm constant_tsc arch_perfmon pebs bts rep_good pni monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr dca sse4_1 lahf_lm
bogomips	: 5000.22
clflush size	: 64
cache_alignment	: 64
address sizes	: 38 bits physical, 48 bits virtual
power management:

processor	: 2
vendor_id	: GenuineIntel
cpu family	: 6
model		: 23
model name	: Intel(R) Xeon(R) CPU           L5420  @ 2.50GHz
stepping	: 6
cpu MHz		: 2500.086
cache size	: 6144 KB
physical id	: 0
siblings	: 4
core id		: 2
cpu cores	: 4
apicid		: 2
initial apicid	: 2
fpu		: yes
fpu_exception	: yes
cpuid level	: 10
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall lm constant_tsc arch_perfmon pebs bts rep_good pni monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr dca sse4_1 lahf_lm
bogomips	: 5000.23
clflush size	: 64
cache_alignment	: 64
address sizes	: 38 bits physical, 48 bits virtual
power management:

processor	: 3
vendor_id	: GenuineIntel
cpu family	: 6
model		: 23
model name	: Intel(R) Xeon(R) CPU           L5420  @ 2.50GHz
stepping	: 6
cpu MHz		: 2500.086
cache size	: 6144 KB
physical id	: 0
siblings	: 4
core id		: 3
cpu cores	: 4
apicid		: 3
initial apicid	: 3
fpu		: yes
fpu_exception	: yes
cpuid level	: 10
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall lm constant_tsc arch_perfmon pebs bts rep_good pni monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr dca sse4_1 lahf_lm
bogomips	: 5000.23
clflush size	: 64
cache_alignment	: 64
address sizes	: 38 bits physical, 48 bits virtual
power management:




-- System Information:
Debian Release: 5.0
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages kvm depends on:
ii  adduser                3.110             add and remove users and groups
ii  bridge-utils           1.4-5             Utilities for configuring the Linu
ii  iproute                20080725-2        networking and traffic control too
ii  libasound2             1.0.16-2          ALSA library
ii  libbrlapi0.5           3.10~r3724-1+b1   braille display access via BRLTTY 
ii  libc6                  2.7-18            GNU C Library: Shared libraries
ii  libgnutls26            2.4.2-4           the GNU TLS library - runtime libr
ii  libncurses5            5.7+20081213-1    shared libraries for terminal hand
ii  libsdl1.2debian        1.2.13-2          Simple DirectMedia Layer
ii  libvdeplug2            2.2.2-3           Virtual Distributed Ethernet - Plu
ii  python                 2.5.2-3           An interactive high-level object-o
ii  zlib1g                 1:1.2.3.3.dfsg-12 compression library - runtime

Versions of packages kvm recommends:
ii  linux-image-2.6.26-1-amd64 [l 2.6.26-12  Linux 2.6.26 image on AMD64

Versions of packages kvm suggests:
ii  debootstrap                   1.0.10     Bootstrap a basic Debian system
ii  hal                           0.5.11-8   Hardware Abstraction Layer
pn  kvm-source                    <none>     (no description available)
pn  samba                         <none>     (no description available)
ii  vde2                          2.2.2-3    Virtual Distributed Ethernet

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Jan Lübbe <jluebbe@debian.org>:
Bug#511914; Package kvm. (Thu, 15 Jan 2009 17:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guido Günther <agx@sigxcpu.org>:
Extra info received and forwarded to list. Copy sent to Jan Lübbe <jluebbe@debian.org>. (Thu, 15 Jan 2009 17:33:05 GMT) Full text and rfc822 format available.

Message #10 received at 511914@bugs.debian.org (full text, mbox):

From: Guido Günther <agx@sigxcpu.org>
To: John Morrissey <jwm@horde.net>, 511914@bugs.debian.org
Subject: Re: Bug#511914: domain kernel BUGs on SCSI disk access
Date: Thu, 15 Jan 2009 18:29:03 +0100
Hi John,
On Thu, Jan 15, 2009 at 11:47:23AM -0500, John Morrissey wrote:
> Package: kvm
> Version: 82+dfsg-1
> Severity: important
> 
> Domains with a SCSI disk attached:
> 
>     <disk type='file' device='disk'>
>         <source file='/var/lib/libvirt/images/scsi.qcow'/>
>         <target dev='sda' bus='scsi'/>
>     </disk>
> 
> BUG after accessing the SCSI disk. This is readily reproducible with a lenny
> amd64 host installing lenny amd64 in a domain. mkfsing the domain's
> filesystems fails, d-i prompts you to Retry, Ignore, or Cancel, and choosing
> Cancel generates the Oops (below).
Could you try to verify if this also hits with a raw iscsi partition
instead of qcow?

> Removing CVE-2008-0928-fedora.patch from the kvm packaging in experimental
> "fixes" this behavior.
> 
> FWIW, I originally thought this was fixed by updating to the latest
> CVE-2008-0928-fedora.patch from Fedora, for KVM 81 and up
> (http://marc.info/?l=kvm&m=123032725115808&w=2), but it appears I was
> mistaken or my testing flawed somehow, since I can reproduce this behavior
> every time I try to boot/install any host from/to a SCSI disk.
Unfortunately we already have the latest patch from fedora.

As to your question how to run without libvirt to try the
-no-kvm/-no-kvm-irqchip options. Try:

/usr/bin/kvm -M pc -m 512 -smp 1 -name test \
	-boot c -drive file=image.qcow,if=scsi,index=0,boot=on
	-serial pty -parallel none -usb -vnc 0.0.0.0:1

Cheers,
 -- Guido




Information forwarded to debian-bugs-dist@lists.debian.org, Jan Lübbe <jluebbe@debian.org>:
Bug#511914; Package kvm. (Thu, 15 Jan 2009 17:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jan Lübbe <jluebbe@lasnet.de>:
Extra info received and forwarded to list. Copy sent to Jan Lübbe <jluebbe@debian.org>. (Thu, 15 Jan 2009 17:57:02 GMT) Full text and rfc822 format available.

Message #15 received at 511914@bugs.debian.org (full text, mbox):

From: Jan Lübbe <jluebbe@lasnet.de>
To: John Morrissey <jwm@horde.net>, 511914@bugs.debian.org
Subject: Re: Bug#511914: domain kernel BUGs on SCSI disk access
Date: Thu, 15 Jan 2009 18:54:09 +0100
On Thu, 2009-01-15 at 11:47 -0500, John Morrissey wrote:
> Package: kvm
> Version: 82+dfsg-1
> Severity: important
> 
> BUG after accessing the SCSI disk. This is readily reproducible with a lenny
> amd64 host installing lenny amd64 in a domain. mkfsing the domain's
> filesystems fails, d-i prompts you to Retry, Ignore, or Cancel, and choosing
> Cancel generates the Oops (below).
> 
> Removing CVE-2008-0928-fedora.patch from the kvm packaging in experimental
> "fixes" this behavior.
> 
> FWIW, I originally thought this was fixed by updating to the latest
> CVE-2008-0928-fedora.patch from Fedora, for KVM 81 and up
> (http://marc.info/?l=kvm&m=123032725115808&w=2), but it appears I was
> mistaken or my testing flawed somehow, since I can reproduce this behavior
> every time I try to boot/install any host from/to a SCSI disk.

I experienced this problem with kvm 83 and the same patch using a
Windows XP guest. There, it shows up as random application crashes and
failure to boot after using the system for some time. So it seems that
the qcow2 disk image is being corrupted. After removing the patch and
restoring the qcow image from backup it works fine.

-- 
Jan Lübbe <jluebbe@lasnet.de>            http://sicherheitsschwankung.de
 gpg-key      1024D/D8480F2E 2002-03-20
 fingerprint  1B25 F91F 9E7B 5D4F 1282  02D6 8A83 8BE4 D848 0F2E





Information forwarded to debian-bugs-dist@lists.debian.org, Jan Lübbe <jluebbe@debian.org>:
Bug#511914; Package kvm. (Thu, 15 Jan 2009 18:06:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guido Günther <agx@sigxcpu.org>:
Extra info received and forwarded to list. Copy sent to Jan Lübbe <jluebbe@debian.org>. (Thu, 15 Jan 2009 18:06:06 GMT) Full text and rfc822 format available.

Message #20 received at 511914@bugs.debian.org (full text, mbox):

From: Guido Günther <agx@sigxcpu.org>
To: Jan Lübbe <jluebbe@lasnet.de>, 511914@bugs.debian.org
Cc: John Morrissey <jwm@horde.net>
Subject: Re: Bug#511914: domain kernel BUGs on SCSI disk access
Date: Thu, 15 Jan 2009 19:03:57 +0100
On Thu, Jan 15, 2009 at 06:54:09PM +0100, Jan Lübbe wrote:
> On Thu, 2009-01-15 at 11:47 -0500, John Morrissey wrote:
> > Package: kvm
> > Version: 82+dfsg-1
> > Severity: important
> > 
> > BUG after accessing the SCSI disk. This is readily reproducible with a lenny
> > amd64 host installing lenny amd64 in a domain. mkfsing the domain's
> > filesystems fails, d-i prompts you to Retry, Ignore, or Cancel, and choosing
> > Cancel generates the Oops (below).
> > 
> > Removing CVE-2008-0928-fedora.patch from the kvm packaging in experimental
> > "fixes" this behavior.
> > 
> > FWIW, I originally thought this was fixed by updating to the latest
> > CVE-2008-0928-fedora.patch from Fedora, for KVM 81 and up
> > (http://marc.info/?l=kvm&m=123032725115808&w=2), but it appears I was
> > mistaken or my testing flawed somehow, since I can reproduce this behavior
> > every time I try to boot/install any host from/to a SCSI disk.
> 
> I experienced this problem with kvm 83 and the same patch using a
> Windows XP guest. There, it shows up as random application crashes and
> failure to boot after using the system for some time. So it seems that
> the qcow2 disk image is being corrupted. After removing the patch and
> restoring the qcow image from backup it works fine.

I was thinking about your report from yesterday when reading this.
That's why I asked John to try to reproduce without qcow. I already
contacted glommer from RedHat (who modified the patch last) if they're
seeing similar things. 
Cheers,
 -- Guido

P.S.: I won't get around to debug this in the too near future.




Information forwarded to debian-bugs-dist@lists.debian.org, Jan Lübbe <jluebbe@debian.org>:
Bug#511914; Package kvm. (Thu, 15 Jan 2009 20:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Morrissey <jwm@horde.net>:
Extra info received and forwarded to list. Copy sent to Jan Lübbe <jluebbe@debian.org>. (Thu, 15 Jan 2009 20:30:02 GMT) Full text and rfc822 format available.

Message #25 received at 511914@bugs.debian.org (full text, mbox):

From: John Morrissey <jwm@horde.net>
To: Guido Günther <agx@sigxcpu.org>
Cc: 511914@bugs.debian.org
Subject: Re: Bug#511914: domain kernel BUGs on SCSI disk access
Date: Thu, 15 Jan 2009 15:28:50 -0500
On Thu, Jan 15, 2009 at 06:29:03PM +0100, Guido Günther wrote:
> On Thu, Jan 15, 2009 at 11:47:23AM -0500, John Morrissey wrote:
> > Domains with a SCSI disk attached:
> > 
> >     <disk type='file' device='disk'>
> >         <source file='/var/lib/libvirt/images/scsi.qcow'/>
> >         <target dev='sda' bus='scsi'/>
> >     </disk>
> > 
> > BUG after accessing the SCSI disk. This is readily reproducible with a lenny
> > amd64 host installing lenny amd64 in a domain. mkfsing the domain's
> > filesystems fails, d-i prompts you to Retry, Ignore, or Cancel, and choosing
> > Cancel generates the Oops (below).
> 
> Could you try to verify if this also hits with a raw iscsi partition
> instead of qcow?

You mean an image of type 'raw' via scsi? I tried a couple installs that way
and could not reproduce this behavior.

> As to your question how to run without libvirt to try the
> -no-kvm/-no-kvm-irqchip options. Try:
> 
> /usr/bin/kvm -M pc -m 512 -smp 1 -name test \
> 	-boot c -drive file=image.qcow,if=scsi,index=0,boot=on
> 	-serial pty -parallel none -usb -vnc 0.0.0.0:1

ach, I see now; -S tripped me up. Thanks.

john
-- 
John Morrissey          _o            /\         ----  __o
jwm@horde.net        _-< \_          /  \       ----  <  \,
www.horde.net/    __(_)/_(_)________/    \_______(_) /_(_)__




Changed Bug title to `domain kernel BUGs on SCSI disk access with qcow2 images' from `domain kernel BUGs on SCSI disk access'. Request was from John Morrissey <jwm@horde.net> to control@bugs.debian.org. (Thu, 15 Jan 2009 20:33:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Jan Lübbe <jluebbe@debian.org>:
Bug#511914; Package kvm. (Thu, 15 Jan 2009 20:57:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guido Günther <agx@sigxcpu.org>:
Extra info received and forwarded to list. Copy sent to Jan Lübbe <jluebbe@debian.org>. (Thu, 15 Jan 2009 20:57:09 GMT) Full text and rfc822 format available.

Message #32 received at 511914@bugs.debian.org (full text, mbox):

From: Guido Günther <agx@sigxcpu.org>
To: John Morrissey <jwm@horde.net>, 511914@bugs.debian.org
Subject: Re: Bug#511914: domain kernel BUGs on SCSI disk access
Date: Thu, 15 Jan 2009 21:53:45 +0100
On Thu, Jan 15, 2009 at 03:28:50PM -0500, John Morrissey wrote:
> On Thu, Jan 15, 2009 at 06:29:03PM +0100, Guido Günther wrote:
> > On Thu, Jan 15, 2009 at 11:47:23AM -0500, John Morrissey wrote:
> > > Domains with a SCSI disk attached:
> > > 
> > >     <disk type='file' device='disk'>
> > >         <source file='/var/lib/libvirt/images/scsi.qcow'/>
> > >         <target dev='sda' bus='scsi'/>
> > >     </disk>
> > > 
> > > BUG after accessing the SCSI disk. This is readily reproducible with a lenny
> > > amd64 host installing lenny amd64 in a domain. mkfsing the domain's
> > > filesystems fails, d-i prompts you to Retry, Ignore, or Cancel, and choosing
> > > Cancel generates the Oops (below).
> > 
> > Could you try to verify if this also hits with a raw iscsi partition
> > instead of qcow?
> 
> You mean an image of type 'raw' via scsi? I tried a couple installs that way
> and could not reproduce this behavior.
Yes exactly. Glad to hear this works, thanks for testing. So it's
plausible the error is caused by CVE-2008-0928-fedora.patch.
 -- Guido




Reply sent to Jan Lübbe <jluebbe@debian.org>:
You have taken responsibility. (Fri, 23 Jan 2009 12:12:03 GMT) Full text and rfc822 format available.

Notification sent to John Morrissey <jwm@horde.net>:
Bug acknowledged by developer. (Fri, 23 Jan 2009 12:12:03 GMT) Full text and rfc822 format available.

Message #37 received at 511914-close@bugs.debian.org (full text, mbox):

From: Jan Lübbe <jluebbe@debian.org>
To: 511914-close@bugs.debian.org
Subject: Bug#511914: fixed in kvm 83+dfsg-1
Date: Fri, 23 Jan 2009 12:02:05 +0000
Source: kvm
Source-Version: 83+dfsg-1

We believe that the bug you reported is fixed in the latest version of
kvm, which is due to be installed in the Debian FTP archive:

kvm-dbg_83+dfsg-1_i386.deb
  to pool/main/k/kvm/kvm-dbg_83+dfsg-1_i386.deb
kvm-source_83+dfsg-1_all.deb
  to pool/main/k/kvm/kvm-source_83+dfsg-1_all.deb
kvm_83+dfsg-1.diff.gz
  to pool/main/k/kvm/kvm_83+dfsg-1.diff.gz
kvm_83+dfsg-1.dsc
  to pool/main/k/kvm/kvm_83+dfsg-1.dsc
kvm_83+dfsg-1_i386.deb
  to pool/main/k/kvm/kvm_83+dfsg-1_i386.deb
kvm_83+dfsg.orig.tar.gz
  to pool/main/k/kvm/kvm_83+dfsg.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 511914@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jan Lübbe <jluebbe@debian.org> (supplier of updated kvm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 23 Jan 2009 12:17:13 +0100
Source: kvm
Binary: kvm kvm-source kvm-dbg
Architecture: source all i386
Version: 83+dfsg-1
Distribution: experimental
Urgency: low
Maintainer: Jan Lübbe <jluebbe@debian.org>
Changed-By: Jan Lübbe <jluebbe@debian.org>
Description: 
 kvm        - Full virtualization on x86 hardware
 kvm-dbg    - Debugging info for kvm
 kvm-source - Source for the KVM driver
Closes: 511914 512420 512654
Changes: 
 kvm (83+dfsg-1) experimental; urgency=low
 .
   * New upstream release (closes: #512420)
   * Disable security/CVE-2008-0928-fedora.patch, it causes corruption in
     qcow2 images (closes: #511914, #512654)
Checksums-Sha1: 
 98fb4ac87e4989f0c4055696568fa6b4c5f21719 1405 kvm_83+dfsg-1.dsc
 aee9589f9805df6c5f9700ba028971a85b79fc35 3609165 kvm_83+dfsg.orig.tar.gz
 9834ae698454b1a62cfc77ed34448848af36dc13 45146 kvm_83+dfsg-1.diff.gz
 acd7f1859aee824380a1ff95e7f5f4e56cd567cf 273062 kvm-source_83+dfsg-1_all.deb
 05bb65180499de9f63dbbcc6fdaf353c1b08c712 1132080 kvm_83+dfsg-1_i386.deb
 908331278c17ffc3c3c00c29776d2108af521ca7 1787236 kvm-dbg_83+dfsg-1_i386.deb
Checksums-Sha256: 
 27b15fae975f3661b9e9b0a32548eb2e55a1b29c25f6061e2ebdb4f3f25386b5 1405 kvm_83+dfsg-1.dsc
 03c26b3c6317de114ad4d717b2326ed78a8030514809591f6929f4cb6c55e2c3 3609165 kvm_83+dfsg.orig.tar.gz
 62fb9c106fac8c9b059b3c8e49bf64f5ccc5b1c8d9d47791191b1acdc33b4852 45146 kvm_83+dfsg-1.diff.gz
 5c5504ff042c19d014d386577367a4a9ac3ade681c034b254100d73a2637b4e8 273062 kvm-source_83+dfsg-1_all.deb
 b719f01c7d455483210d0f39503718b45dcaf3800041d212e4f8bb57ff9c35b2 1132080 kvm_83+dfsg-1_i386.deb
 8dab6fff798acb47d7cc027d89a177a5af96660abf3d130364618bb63e66565b 1787236 kvm-dbg_83+dfsg-1_i386.deb
Files: 
 a5f42922c508408654ed2c0a340569b7 1405 misc optional kvm_83+dfsg-1.dsc
 a40c00e18973b4454a419e08e03ed1a3 3609165 misc optional kvm_83+dfsg.orig.tar.gz
 790c395146e45ddf86eda98517332446 45146 misc optional kvm_83+dfsg-1.diff.gz
 c75fdf4f7b577742d0a1e45fbdbc3cea 273062 misc optional kvm-source_83+dfsg-1_all.deb
 091b04426ddeddd783dc5ee570fbd6a2 1132080 misc optional kvm_83+dfsg-1_i386.deb
 c5ce82aa4b5aad8891c4af88206b5672 1787236 misc extra kvm-dbg_83+dfsg-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkl5q5AACgkQioOL5NhIDy416wCg9YHEu+2vFp1iZHf3Q9zIPyge
hHsAnizp2BrxvAUpoH8pYly8/f1dsgnj
=KQoK
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 21 Feb 2009 07:31:19 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 11:42:05 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.